# Uses of Class
org.apache.zookeeper.server.ZKDatabase

Packages that use ZKDatabase
Package
Description
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.quorum

## Uses of ZKDatabase in org.apache.zookeeper.server

Methods in org.apache.zookeeper.server that return ZKDatabase
Modifier and Type
Method
Description
`ZKDatabase`
ZooKeeperServer.`getZKDatabase()`
get the zookeeper database for this server
Methods in org.apache.zookeeper.server with parameters of type ZKDatabase
Modifier and Type
Method
Description
`void`
ZooKeeperServer.`setZKDatabase(ZKDatabase zkDb)`
set the zkdatabase for this zookeeper server
Constructors in org.apache.zookeeper.server with parameters of type ZKDatabase
Modifier
Constructor
Description
``
`ContainerManager(ZKDatabase zkDb, RequestProcessor requestProcessor, int checkIntervalMs, int maxPerMinute)`
``
`ContainerManager(ZKDatabase zkDb, RequestProcessor requestProcessor, int checkIntervalMs, int maxPerMinute, long maxNeverUsedIntervalMs)`
``
`ZooKeeperServer(FileTxnSnapLog txnLogFactory, int tickTime, int minSessionTimeout, int maxSessionTimeout, int clientPortListenBacklog, ZKDatabase zkDb, String initialConfig)`
Keeping this constructor for backward compatibility
``
`ZooKeeperServer(FileTxnSnapLog txnLogFactory, int tickTime, int minSessionTimeout, int maxSessionTimeout, int clientPortListenBacklog, ZKDatabase zkDb, String initialConfig, boolean reconfigEnabled)`
* Creates a ZooKeeperServer instance.
``
`ZooKeeperServer(JvmPauseMonitor jvmPauseMonitor, FileTxnSnapLog txnLogFactory, int tickTime, int minSessionTimeout, int maxSessionTimeout, int clientPortListenBacklog, ZKDatabase zkDb, String initialConfig)`
Adds JvmPauseMonitor and calls `ZooKeeperServer(FileTxnSnapLog, int, int, int, int, ZKDatabase, String)`

## Uses of ZKDatabase in org.apache.zookeeper.server.quorum

Methods in org.apache.zookeeper.server.quorum that return ZKDatabase
Modifier and Type
Method
Description
`ZKDatabase`
Leader.`getZKDatabase()`
`ZKDatabase`
ObserverMaster.`getZKDatabase()`
`protected ZKDatabase`
QuorumPeer.`getZkDb()`
Methods in org.apache.zookeeper.server.quorum with parameters of type ZKDatabase
Modifier and Type
Method
Description
`void`
QuorumPeer.`setZKDatabase(ZKDatabase database)`
set zk database for this node
Constructors in org.apache.zookeeper.server.quorum with parameters of type ZKDatabase
Modifier
Constructor
Description
``
`LeaderZooKeeperServer(FileTxnSnapLog logFactory, QuorumPeer self, ZKDatabase zkDb)`
``
`LearnerZooKeeperServer(FileTxnSnapLog logFactory, int tickTime, int minSessionTimeout, int maxSessionTimeout, int listenBacklog, ZKDatabase zkDb, QuorumPeer self)`
`protected`
`QuorumZooKeeperServer(FileTxnSnapLog logFactory, int tickTime, int minSessionTimeout, int maxSessionTimeout, int listenBacklog, ZKDatabase zkDb, QuorumPeer self)`